edje::object Struct Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
edje::object Struct Reference

Class object. More...

## Public Member Functions
| object (Eo *eo)
| Eo Constructor. More...
| object (std::nullptr_t)
| nullptr_t Constructor. More...
| object (object const &other)
| Copy Constructor.
bool | part_table_clear (::efl::eina::string_view part_, bool clear_) const
Edje_External_Param_Type | part_external_param_type_get (::efl::eina::string_view part_, const char *param_) const
void | part_text_select_allow_set (::efl::eina::string_view part_, bool allow_) const
::efl::eina::string_view | part_state_get (::efl::eina::string_view part_, double *val_ret_) const
void * | text_markup_filter_callback_del_full (::efl::eina::string_view part_, Edje_Markup_Filter_Cb func_, void *data_) const
bool | part_drag_step_set (::efl::eina::string_view part_, double dx_, double dy_) const
bool | part_drag_step_get (::efl::eina::string_view part_, double *dx_, double *dy_) const
void * | part_text_imf_context_get (::efl::eina::string_view part_) const
void | part_text_select_begin (::efl::eina::string_view part_) const
::efl::eina::string_view | part_text_style_user_peek (::efl::eina::string_view part_) const
template<typename F_func_ >
void * | signal_callback_del (::efl::eina::string_view emission_,::efl::eina::string_view source_, F_func_ &&func_) const
bool | part_text_cursor_next (::efl::eina::string_view part_, Edje_Cursor cur_) const
void | part_text_style_user_push (::efl::eina::string_view part_,::efl::eina::string_view style_) const
void | part_text_append (::efl::eina::string_view part_,::efl::eina::string_view text_) const
bool | part_geometry_get (::efl::eina::string_view part_, Evas_Coord *x_, Evas_Coord *y_, Evas_Coord *w_, Evas_Coord *h_) const
void | part_text_input_panel_hide (::efl::eina::string_view part_) const
bool | part_text_item_geometry_get (::efl::eina::string_view part_,::efl::eina::string_view item_, Evas_Coord *cx_, Evas_Coord *cy_, Evas_Coord *cw_, Evas_Coord *ch_) const
bool | part_table_unpack (::efl::eina::string_view part_,::evas::object child_obj_) const
void | part_text_select_abort (::efl::eina::string_view part_) const
void * | text_insert_filter_callback_del_full (::efl::eina::string_view part_, Edje_Text_Filter_Cb func_, void *data_) const
void | part_text_style_user_pop (::efl::eina::string_view part_) const
void | part_text_input_panel_imdata_set (::efl::eina::string_view part_, const void *data_, int len_) const
void | part_text_input_panel_imdata_get (::efl::eina::string_view part_, void *data_, int *len_) const
void | part_text_insert (::efl::eina::string_view part_,::efl::eina::string_view text_) const
::evas::object | part_box_remove_at (::efl::eina::string_view part_, unsigned int pos_) const
void | part_text_cursor_copy (::efl::eina::string_view part_, Edje_Cursor src_, Edje_Cursor dst_) const
bool | parts_extends_calc (Evas_Coord *x_, Evas_Coord *y_, Evas_Coord *w_, Evas_Coord *h_) const
bool | part_drag_value_set (::efl::eina::string_view part_, double dx_, double dy_) const
bool | part_drag_value_get (::efl::eina::string_view part_, double *dx_, double *dy_) const
void | calc_force () const
void | part_text_cursor_pos_set (::efl::eina::string_view part_, Edje_Cursor cur_, int pos_) const
int | part_text_cursor_pos_get (::efl::eina::string_view part_, Edje_Cursor cur_) const
int | freeze () const
char * | part_text_cursor_content_get (::efl::eina::string_view part_, Edje_Cursor cur_) const
void | part_text_input_panel_layout_set (::efl::eina::string_view part_, Edje_Input_Panel_Layout layout_) const
Edje_Input_Panel_Layout | part_text_input_panel_layout_get (::efl::eina::string_view part_) const
bool | part_table_pack (::efl::eina::string_view part_,::evas::object child_obj_, unsigned short col_, unsigned short row_, unsigned short colspan_, unsigned short rowspan_) const
void | part_text_input_panel_language_set (::efl::eina::string_view part_, Edje_Input_Panel_Lang lang_) const
Edje_Input_Panel_Lang | part_text_input_panel_language_get (::efl::eina::string_view part_) const
bool | part_table_col_row_size_get (::efl::eina::string_view part_, int *cols_, int *rows_) const
::evas::object | part_external_object_get (::efl::eina::string_view part_) const
::evas::object | part_external_content_get (::efl::eina::string_view part_, const char *content_) const
bool | preload (bool cancel_) const
void | part_text_input_panel_enabled_set (::efl::eina::string_view part_, bool enabled_) const
bool | part_text_input_panel_enabled_get (::efl::eina::string_view part_) const
void | part_text_select_extend (::efl::eina::string_view part_) const
bool | part_box_insert_at (::efl::eina::string_view part_,::evas::object child_, unsigned int pos_) const
::efl::eina::crange_list< const Evas_Textblock_Rectangle * > | part_text_anchor_geometry_get (::efl::eina::string_view part_,::efl::eina::string_view anchor_) const
bool | part_text_cursor_down (::efl::eina::string_view part_, Edje_Cursor cur_) const
bool | part_drag_page_set (::efl::eina::string_view part_, double dx_, double dy_) const
bool | part_drag_page_get (::efl::eina::string_view part_, double *dx_, double *dy_) const
bool | part_box_prepend (::efl::eina::string_view part_,::evas::object child_) const
void | signal_emit (::efl::eina::string_view emission_,::efl::eina::string_view source_) const
void | part_text_input_panel_layout_variation_set (::efl::eina::string_view part_, int variation_) const
int | part_text_input_panel_layout_variation_get (::efl::eina::string_view part_) const
void | message_send (Edje_Message_Type type_, int id_, void *msg_) const
void | part_text_select_none (::efl::eina::string_view part_) const
::evas::object | part_object_get (::efl::eina::string_view part_) const
bool | part_drag_size_set (::efl::eina::string_view part_, double dw_, double dh_) const
bool | part_drag_size_get (::efl::eina::string_view part_, double *dw_, double *dh_) const
void * | text_insert_filter_callback_del (::efl::eina::string_view part_, Edje_Text_Filter_Cb func_) const
Edje_Drag_Dir | part_drag_dir_get (::efl::eina::string_view part_) const
bool | part_text_unescaped_set (::efl::eina::string_view part_,::efl::eina::string_view text_to_escape_) const
char * | part_text_unescaped_get (::efl::eina::string_view part_) const
template<typename F_func_ >
void | signal_callback_add (::efl::eina::string_view emission_,::efl::eina::string_view source_, F_func_ &&func_) const
void | part_text_select_all (::efl::eina::string_view part_) const
void | part_text_input_panel_return_key_disabled_set (::efl::eina::string_view part_, bool disabled_) const
bool | part_text_input_panel_return_key_disabled_get (::efl::eina::string_view part_) const
void | part_text_autocapital_type_set (::efl::eina::string_view part_, Edje_Text_Autocapital_Type autocapital_type_) const
Edje_Text_Autocapital_Type | part_text_autocapital_type_get (::efl::eina::string_view part_) const
void | part_unswallow (::evas::object obj_swallow_) const
void | part_text_prediction_allow_set (::efl::eina::string_view part_, bool prediction_) const
bool | part_text_prediction_allow_get (::efl::eina::string_view part_) const
::efl::eina::string_view | data_get (::efl::eina::string_view key_) const
void | text_markup_filter_callback_add (::efl::eina::string_view part_, Edje_Markup_Filter_Cb func_, void *data_) const
void | message_signal_process () const
::evas::object | part_box_remove (::efl::eina::string_view part_,::evas::object child_) const
int | thaw () const
::evas::object | part_swallow_get (::efl::eina::string_view part_) const
void | part_text_imf_context_reset (::efl::eina::string_view part_) const
void | part_text_input_panel_return_key_type_set (::efl::eina::string_view part_, Edje_Input_Panel_Return_Key_Type return_key_type_) const
Edje_Input_Panel_Return_Key_Type | part_text_input_panel_return_key_type_get (::efl::eina::string_view part_) const
::evas::object | part_table_child_get (::efl::eina::string_view part_, unsigned int col_, unsigned int row_) const
bool | part_box_insert_before (::efl::eina::string_view part_,::evas::object child_,::evas::object reference_) const
bool | part_external_param_set (::efl::eina::string_view part_, const Edje_External_Param *param_) const
bool | part_external_param_get (::efl::eina::string_view part_, Edje_External_Param *param_) const
void | size_min_calc (Evas_Coord *minw_, Evas_Coord *minh_) const
bool | part_box_append (::efl::eina::string_view part_,::evas::object child_) const
void | size_min_restricted_calc (Evas_Coord *minw_, Evas_Coord *minh_, Evas_Coord restrictedw_, Evas_Coord restrictedh_) const
bool | part_box_remove_all (::efl::eina::string_view part_, bool clear_) const
bool | part_drag_page (::efl::eina::string_view part_, double dx_, double dy_) const
bool | part_text_set (::efl::eina::string_view part_,::efl::eina::string_view text_) const
::efl::eina::string_view | part_text_get (::efl::eina::string_view part_) const
void | part_text_input_panel_show_on_demand_set (::efl::eina::string_view part_, bool ondemand_) const
bool | part_text_input_panel_show_on_demand_get (::efl::eina::string_view part_) const
void | part_text_input_hint_set (::efl::eina::string_view part_, Edje_Input_Hints input_hints_) const
Edje_Input_Hints | part_text_input_hint_get (::efl::eina::string_view part_) const
::efl::eina::string_view | part_text_selection_get (::efl::eina::string_view part_) const
bool | part_text_cursor_is_format_get (::efl::eina::string_view part_, Edje_Cursor cur_) const
bool | text_class_get (::efl::eina::string_view text_class_, const char **font_, Evas_Font_Size *size_) const
void | text_class_del (::efl::eina::string_view text_class_) const
bool | color_class_set (::efl::eina::string_view color_class_, int r_, int g_, int b_, int a_, int r2_, int g2_, int b2_, int a2_, int r3_, int g3_, int b3_, int a3_) const
bool | color_class_get (::efl::eina::string_view color_class_, int *r_, int *g_, int *b_, int *a_, int *r2_, int *g2_, int *b2_, int *a2_, int *r3_, int *g3_, int *b3_, int *a3_) const
::efl::eina::string_view | color_class_description_get (::efl::eina::string_view color_class_) const
bool | color_class_clear () const
void | color_class_del (::efl::eina::string_view color_class_) const
bool | size_class_set (::efl::eina::string_view size_class_, int minw_, int minh_, int maxw_, int maxh_) const
bool | size_class_get (::efl::eina::string_view size_class_, int *minw_, int *minh_, int *maxw_, int *maxh_) const
void | size_class_del (::efl::eina::string_view size_class_) const
bool | part_drag_step (::efl::eina::string_view part_, double dx_, double dy_) const
bool | part_text_cursor_up (::efl::eina::string_view part_, Edje_Cursor cur_) const
void | part_text_cursor_geometry_get (::efl::eina::string_view part_, Evas_Coord *x_, Evas_Coord *y_, Evas_Coord *w_, Evas_Coord *h_) const
::efl::eina::crange_list< ::efl::eina::string_view > | part_text_anchor_list_get (::efl::eina::string_view part_) const
void | text_insert_filter_callback_add (::efl::eina::string_view part_, Edje_Text_Filter_Cb func_, void *data_) const
void | part_text_input_panel_show (::efl::eina::string_view part_) const
bool | part_exists (::efl::eina::string_view part_) const
void * | text_markup_filter_callback_del (::efl::eina::string_view part_, Edje_Markup_Filter_Cb func_) const
bool | part_text_cursor_is_visible_format_get (::efl::eina::string_view part_, Edje_Cursor cur_) const
void | part_text_user_insert (::efl::eina::string_view part_,::efl::eina::string_view text_) const
bool | part_text_cursor_prev (::efl::eina::string_view part_, Edje_Cursor cur_) const
::efl::eina::crange_list< ::efl::eina::string_view > | part_text_item_list_get (::efl::eina::string_view part_) const
bool | part_swallow (::efl::eina::string_view part_,::evas::object obj_swallow_) const
bool | update_hints_get () const
void | update_hints_set (bool update_) const
bool | mirrored_get () const
void | mirrored_set (bool rtl_) const
::efl::eina::string_view | language_get () const
void | language_set (::efl::eina::string_view language_) const
bool | animation_get () const
void | animation_set (bool on_) const
bool | play_get () const
void | play_set (bool play_) const
const Edje_Perspective * | perspective_get () const
void | perspective_set (Edje_Perspective *ps_) const
double | scale_get () const
bool | scale_set (double scale_) const
double | base_scale_get () const
void | text_change_cb_set (Edje_Text_Change_Cb func_, void *data_) const
void | part_text_cursor_begin_set (::efl::eina::string_view part_, Edje_Cursor cur_) const
void | part_text_cursor_line_end_set (::efl::eina::string_view part_, Edje_Cursor cur_) const
bool | text_class_set (::efl::eina::string_view text_class_,::efl::eina::string_view font_, Evas_Font_Size size_) const
bool | part_text_cursor_coord_set (::efl::eina::string_view part_, Edje_Cursor cur_, Evas_Coord x_, Evas_Coord y_) const
void | part_text_cursor_end_set (::efl::eina::string_view part_, Edje_Cursor cur_) const
bool | part_text_escaped_set (::efl::eina::string_view part_,::efl::eina::string_view text_) const
void | item_provider_set (Edje_Item_Provider_Cb func_, void *data_) const
void | part_text_cursor_line_begin_set (::efl::eina::string_view part_, Edje_Cursor cur_) const
void | message_handler_set (Edje_Message_Handler_Cb func_, void *data_) const
void | size_min_get (Evas_Coord *minw_, Evas_Coord *minh_) const
::efl::eina::range_list< ::efl::eina::string_view > | access_part_list_get () const
Edje_Load_Error | load_error_get () const
void | size_max_get (Evas_Coord *maxw_, Evas_Coord *maxh_) const
double | transition_duration_factor_get () const
void | transition_duration_factor_set (double scale_) const
template<typename F >
::efl::eo::signal_connection | callback_async_error_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_async_error_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_async_opened_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_async_opened_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_add_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_changed_size_hints_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_changed_size_hints_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_focus_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_focus_in_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_focus_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_focus_out_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_free_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_free_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_hide_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_hide_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_hold_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_hold_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_image_preloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_image_preloaded_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_image_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_image_resize_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_image_unloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_image_unloaded_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_key_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_key_down_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_key_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_key_up_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_down_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_in_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_move_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_out_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_up_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_wheel_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_wheel_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_move_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_multi_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_multi_down_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_multi_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_multi_move_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_multi_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_multi_up_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_recalc_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_recalc_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_resize_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_restack_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_restack_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_show_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_show_call (T *info)
| object (::efl::eo::parent_type _p)
| Constructs a new edje::object object. More...
Public Member Functions inherited from efl::eo::concrete
| concrete (Eo *eo)
| Class constructor. More...
| concrete ()
| Default constructor. More...
| ~concrete ()
| Class destructor.
| concrete (concrete const &other)
| concrete (concrete &&other)
concrete & | operator= (concrete const &other)
| Assignment operator.
concrete & | operator= (concrete &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this concrete object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (concrete parent)
| Set the parent of this object. More...
eina::optional< concrete > | parent_get ()
| Get the parent of this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const
Public Member Functions inherited from efl::file
| file (Eo *eo)
| Eo Constructor. More...
| file (std::nullptr_t)
| nullptr_t Constructor. More...
| file (file const &other)
| Copy Constructor.
bool | save (::efl::eina::string_view file_,::efl::eina::string_view key_,::efl::eina::string_view flags_) const
void | eject () const
bool | async_wait () const
void | mmap_get (const Eina_File **f_, const char **key_) const
bool | mmap_set (const Eina_File *f_,::efl::eina::string_view key_) const
void | file_get (const char **file_, const char **key_) const
bool | file_set (::efl::eina::string_view file_,::efl::eina::string_view key_) const
bool | async_get () const
void | async_set (bool async_) const
template<typename F >
::efl::eo::signal_connection | callback_async_error_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_async_error_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_async_opened_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_async_opened_call (T *info)
| file (::efl::eo::parent_type _p)
| Constructs a new efl::file object. More...
Public Member Functions inherited from efl::gfx::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
void | position_get (int *x_, int *y_) const
void | position_set (int x_, int y_) const
void | size_get (int *w_, int *h_) const
void | size_set (int w_, int h_) const
void | color_get (int *r_, int *g_, int *b_, int *a_) const
void | color_set (int r_, int g_, int b_, int a_) const
bool | color_part_get (::efl::eina::string_view part_, int *r_, int *g_, int *b_, int *a_) const
bool | color_part_set (::efl::eina::string_view part_, int r_, int g_, int b_, int a_) const
bool | visible_get () const
void | visible_set (bool v_) const
| base (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::base object. More...
Public Member Functions inherited from efl::gfx::stack
| stack (Eo *eo)
| Eo Constructor. More...
| stack (std::nullptr_t)
| nullptr_t Constructor. More...
| stack (stack const &other)
| Copy Constructor.
void | stack_below (::efl::gfx::stack below_) const
void | raise () const
void | stack_above (::efl::gfx::stack above_) const
void | lower () const
short | layer_get () const
void | layer_set (short l_) const
::efl::gfx::stack | below_get () const
::efl::gfx::stack | above_get () const
| stack (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::stack object. More...
Public Member Functions inherited from eo::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
::eo::base | constructor () const
void | destructor () const
::eo::base | finalize () const
void | wref_add (::eo::base *wref_) const
void | wref_del (Eo_Base **wref_) const
void | key_data_set (::efl::eina::string_view key_, const void *data_) const
void * | key_data_get (::efl::eina::string_view key_) const
void | key_data_del (::efl::eina::string_view key_) const
void | event_thaw () const
void | event_freeze () const
void | event_callback_priority_add (const Eo_Event_Description *desc_, Eo_Callback_Priority priority_, Eo_Event_Cb cb_, const void *data_) const
void | event_callback_del (const Eo_Event_Description *desc_, Eo_Event_Cb func_, const void *user_data_) const
void | event_callback_array_priority_add (const Eo_Callback_Array_Item *array_, Eo_Callback_Priority priority_, const void *data_) const
void | event_callback_array_del (const Eo_Callback_Array_Item *array_, const void *user_data_) const
bool | event_callback_call (const Eo_Event_Description *desc_, void *event_info_) const
void | event_callback_forwarder_add (const Eo_Event_Description *desc_,::eo::base new_obj_) const
void | event_callback_forwarder_del (const Eo_Event_Description *desc_,::eo::base new_obj_) const
void | dbg_info_get (Eo_Dbg_Info *root_node_) const
Eina_Iterator * | children_iterator_new () const
::eo::base | parent_get () const
void | parent_set (::eo::base parent_) const
int | event_global_freeze_count_get () const
int | event_freeze_count_get () const
bool | finalized_get () const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_add_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_del_call (T *info)
| base (::efl::eo::parent_type _p)
| Constructs a new eo::base object. More...
Public Member Functions inherited from evas::common_interface
| common_interface (Eo *eo)
| Eo Constructor. More...
| common_interface (std::nullptr_t)
| nullptr_t Constructor. More...
| common_interface (common_interface const &other)
| Copy Constructor.
::evas::common_interface | evas_get () const
| common_interface (::efl::eo::parent_type _p)
| Constructs a new evas::common_interface object. More...
Public Member Functions inherited from evas::object
| object (Eo *eo)
| Eo Constructor. More...
| object (std::nullptr_t)
| nullptr_t Constructor. More...
| object (object const &other)
| Copy Constructor.
bool | clipees_has () const
bool | key_grab (::efl::eina::string_view keyname_, Evas_Modifier_Mask modifiers_, Evas_Modifier_Mask not_modifiers_, bool exclusive_) const
bool | smart_type_check (::efl::eina::string_view type_) const
::evas::object | name_child_find (::efl::eina::string_view name_, int recurse_) const
void | key_ungrab (::efl::eina::string_view keyname_, Evas_Modifier_Mask modifiers_, Evas_Modifier_Mask not_modifiers_) const
void | clip_unset () const
void | smart_move_children_relative (Evas_Coord dx_, Evas_Coord dy_) const
bool | smart_type_check_ptr (::efl::eina::string_view type_) const
void | size_hint_max_get (Evas_Coord *w_, Evas_Coord *h_) const
void | size_hint_max_set (Evas_Coord w_, Evas_Coord h_) const
void | size_hint_request_get (Evas_Coord *w_, Evas_Coord *h_) const
void | size_hint_request_set (Evas_Coord w_, Evas_Coord h_) const
::efl::eina::string_view | type_get () const
void | type_set (::efl::eina::string_view type_) const
void | size_hint_min_get (Evas_Coord *w_, Evas_Coord *h_) const
void | size_hint_min_set (Evas_Coord w_, Evas_Coord h_) const
Evas_Object_Pointer_Mode | pointer_mode_get () const
void | pointer_mode_set (Evas_Object_Pointer_Mode pointer_mode_) const
Evas_Render_Op | render_op_get () const
void | render_op_set (Evas_Render_Op render_op_) const
bool | freeze_events_get () const
void | freeze_events_set (bool freeze_) const
const Evas_Map * | map_get () const
void | map_set (const Evas_Map *map_) const
void | size_hint_aspect_get (Evas_Aspect_Control *aspect_, Evas_Coord *w_, Evas_Coord *h_) const
void | size_hint_aspect_set (Evas_Aspect_Control aspect_, Evas_Coord w_, Evas_Coord h_) const
::evas::object | clip_get () const
void | clip_set (::evas::object clip_) const
void | size_hint_padding_get (Evas_Coord *l_, Evas_Coord *r_, Evas_Coord *t_, Evas_Coord *b_) const
void | size_hint_padding_set (Evas_Coord l_, Evas_Coord r_, Evas_Coord t_, Evas_Coord b_) const
bool | repeat_events_get () const
void | repeat_events_set (bool repeat_) const
void | size_hint_weight_get (double *x_, double *y_) const
void | size_hint_weight_set (double x_, double y_) const
::efl::eina::string_view | name_get () const
void | name_set (::efl::eina::string_view name_) const
double | scale_get () const
void | scale_set (double scale_) const
bool | static_clip_get () const
void | static_clip_set (bool is_static_clip_) const
bool | focus_get () const
void | focus_set (bool focus_) const
bool | is_frame_object_get () const
void | is_frame_object_set (bool is_frame_) const
bool | map_enable_get () const
void | map_enable_set (bool enabled_) const
bool | precise_is_inside_get () const
void | precise_is_inside_set (bool precise_) const
void | size_hint_align_get (double *x_, double *y_) const
void | size_hint_align_set (double x_, double y_) const
bool | propagate_events_get () const
void | propagate_events_set (bool propagate_) const
bool | pass_events_get () const
void | pass_events_set (bool pass_) const
bool | anti_alias_get () const
void | anti_alias_set (bool anti_alias_) const
void * | smart_data_get () const
::evas::object | smart_clipped_clipper_get () const
::efl::eina::crange_list< ::evas::object > | clipees_get () const
::evas::object | smart_parent_get () const
Evas_Display_Mode | size_hint_display_mode_get () const
void | size_hint_display_mode_set (Evas_Display_Mode dispmode_) const
Evas_BiDi_Direction | paragraph_direction_get () const
void | paragraph_direction_set (Evas_BiDi_Direction dir_) const
bool | no_render_get () const
void | no_render_set (bool enable_) const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_add_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_changed_size_hints_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_changed_size_hints_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_focus_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_focus_in_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_focus_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_focus_out_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_free_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_free_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_hide_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_hide_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_hold_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_hold_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_image_preloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_image_preloaded_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_image_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_image_resize_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_image_unloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_image_unloaded_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_key_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_key_down_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_key_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_key_up_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_down_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_in_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_move_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_out_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_up_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_wheel_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_wheel_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_move_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_multi_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_multi_down_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_multi_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_multi_move_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_multi_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_multi_up_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_resize_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_restack_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_restack_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_show_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_show_call (T *info)
| object (::efl::eo::parent_type _p)
| Constructs a new evas::object object. More...
Public Member Functions inherited from evas::object_smart
| object_smart (Eo *eo)
| Eo Constructor. More...
| object_smart (std::nullptr_t)
| nullptr_t Constructor. More...
| object_smart (object_smart const &other)
| Copy Constructor.
void | show () const
void | move (Evas_Coord x_, Evas_Coord y_) const
bool | callbacks_descriptions_set (const Evas_Smart_Cb_Description *descriptions_) const
void | callbacks_descriptions_get (const Evas_Smart_Cb_Description ***class_descriptions_, unsigned int *class_count_, const Evas_Smart_Cb_Description ***instance_descriptions_, unsigned int *instance_count_) const
Eina_Iterator * | iterator_new () const
void | callback_description_find (::efl::eina::string_view name_, const Evas_Smart_Cb_Description **class_description_, const Evas_Smart_Cb_Description **instance_description_) const
void | hide () const
void | calculate () const
void | add () const
void | member_add (::evas::object sub_obj_) const
void | resize (Evas_Coord w_, Evas_Coord h_) const
void | clip_unset () const
void | changed () const
void | member_del (::evas::object sub_obj_) const
void | del () const
void | attach (Evas_Smart *s_) const
bool | need_recalculate_get () const
void | need_recalculate_set (bool value_) const
void | clip_set (::evas::object clip_) const
void | color_set (int r_, int g_, int b_, int a_) const
void | data_set (void *data_) const
::efl::eina::range_list< ::evas::object > | members_get () const
Evas_Smart * | smart_get () const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_add_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_changed_size_hints_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_changed_size_hints_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_focus_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_focus_in_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_focus_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_focus_out_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_free_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_free_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_hide_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_hide_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_hold_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_hold_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_image_preloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_image_preloaded_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_image_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_image_resize_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_image_unloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_image_unloaded_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_key_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_key_down_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_key_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_key_up_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_down_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_in_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_move_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_out_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_up_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_wheel_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_wheel_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_move_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_multi_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_multi_down_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_multi_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_multi_move_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_multi_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_multi_up_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_resize_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_restack_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_restack_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_show_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_show_call (T *info)
| object_smart (::efl::eo::parent_type _p)
| Constructs a new evas::object_smart object. More...
Public Member Functions inherited from evas::signal_interface
| signal_interface (Eo *eo)
| Eo Constructor. More...
| signal_interface (std::nullptr_t)
| nullptr_t Constructor. More...
| signal_interface (signal_interface const &other)
| Copy Constructor.
| signal_interface (::efl::eo::parent_type _p)
| Constructs a new evas::signal_interface object. More...
Public Member Functions inherited from evas::smart_clipped
| smart_clipped (Eo *eo)
| Eo Constructor. More...
| smart_clipped (std::nullptr_t)
| nullptr_t Constructor. More...
| smart_clipped (smart_clipped const &other)
| Copy Constructor.
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_add_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_changed_size_hints_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_changed_size_hints_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_focus_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_focus_in_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_focus_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_focus_out_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_free_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_free_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_hide_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_hide_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_hold_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_hold_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_image_preloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_image_preloaded_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_image_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_image_resize_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_image_unloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_image_unloaded_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_key_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_key_down_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_key_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_key_up_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_down_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_in_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_move_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_out_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_up_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_mouse_wheel_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_mouse_wheel_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_move_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_multi_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_multi_down_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_multi_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_multi_move_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_multi_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_multi_up_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_resize_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_restack_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_restack_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_show_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_show_call (T *info)
| smart_clipped (::efl::eo::parent_type _p)
| Constructs a new evas::smart_clipped object. More...

## Static Public Member Functions
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::file
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::gfx::base
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::gfx::stack
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from eo::base
static void | event_global_thaw ()
static void | event_global_freeze ()
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::common_interface
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::object
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::object_smart
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::signal_interface
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::smart_clipped
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::concrete
Eo * | _eo_raw
| The opaque EO Object.

## Detailed Description

Class object.

## Constructor & Destructor Documentation

edje::object::object | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new edje::object object.

Constructs a new edje::object object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

edje::object my_object(efl::eo::parent = parent_object);

See also
  object(Eo* eo)

References efl::eo::parent.

edje::object::object | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

edje::object::object | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

bool edje::object::part_table_clear | ( | ::efl::eina::string_view | part_,
|  | bool | clear_
| ) |  | const

Parameters

  part |
  clear |

Edje_External_Param_Type edje::object::part_external_param_type_get | ( | ::efl::eina::string_view | part_,
|  | const char * | param_
| ) |  | const

Parameters

  | part |
  [out] | param |

void edje::object::part_text_select_allow_set | ( | ::efl::eina::string_view | part_,
|  | bool | allow_
| ) |  | const

Parameters

  part |
  allow |

::efl::eina::string_view edje::object::part_state_get | ( | ::efl::eina::string_view | part_,
|  | double * | val_ret_
| ) |  | const

Parameters

  | part |
  [out] | val_ret |

void* edje::object::text_markup_filter_callback_del_full | ( | ::efl::eina::string_view | part_,
|  | Edje_Markup_Filter_Cb | func_,
|  | void * | data_
| ) |  | const

Parameters

  part |
  func |
  data |

bool edje::object::part_drag_step_set | ( | ::efl::eina::string_view | part_,
|  | double | dx_,
|  | double | dy_
| ) |  | const

Parameters

  part |
  dx |
  dy |

bool edje::object::part_drag_step_get | ( | ::efl::eina::string_view | part_,
|  | double * | dx_,
|  | double * | dy_
| ) |  | const

Parameters

  | part |
  [out] | dx |
  [out] | dy |

void* edje::object::part_text_imf_context_get | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

void edje::object::part_text_select_begin | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

::efl::eina::string_view edje::object::part_text_style_user_peek | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

template<typename F_func_ >

void* edje::object::signal_callback_del | ( | ::efl::eina::string_view | emission_,
|  | ::efl::eina::string_view | source_,
|  | F_func_ && | func_
| ) |  | const

Parameters

  emission |
  source |
  func |
  data |

bool edje::object::part_text_cursor_next | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | cur_
| ) |  | const

Parameters

  part |
  cur |

void edje::object::part_text_style_user_push | ( | ::efl::eina::string_view | part_,
|  | ::efl::eina::string_view | style_
| ) |  | const

Parameters

  part |
  style |

void edje::object::part_text_append | ( | ::efl::eina::string_view | part_,
|  | ::efl::eina::string_view | text_
| ) |  | const

Parameters

  part |
  text |

bool edje::object::part_geometry_get | ( | ::efl::eina::string_view | part_,
|  | Evas_Coord * | x_,
|  | Evas_Coord * | y_,
|  | Evas_Coord * | w_,
|  | Evas_Coord * | h_
| ) |  | const

Parameters

  | part |
  [out] | x |
  [out] | y |
  [out] | w |
  [out] | h |

void edje::object::part_text_input_panel_hide | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

bool edje::object::part_text_item_geometry_get | ( | ::efl::eina::string_view | part_,
|  | ::efl::eina::string_view | item_,
|  | Evas_Coord * | cx_,
|  | Evas_Coord * | cy_,
|  | Evas_Coord * | cw_,
|  | Evas_Coord * | ch_
| ) |  | const

Parameters

  | part |
  | item |
  [out] | cx |
  [out] | cy |
  [out] | cw |
  [out] | ch |

bool edje::object::part_table_unpack | ( | ::efl::eina::string_view | part_,
|  | ::evas::object | child_obj_
| ) |  | const

Parameters

  part |
  child_obj |

void edje::object::part_text_select_abort | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

void* edje::object::text_insert_filter_callback_del_full | ( | ::efl::eina::string_view | part_,
|  | Edje_Text_Filter_Cb | func_,
|  | void * | data_
| ) |  | const

Parameters

  part |
  func |
  data |

void edje::object::part_text_style_user_pop | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

void edje::object::part_text_input_panel_imdata_set | ( | ::efl::eina::string_view | part_,
|  | const void * | data_,
|  | int | len_
| ) |  | const

Parameters

  part |
  data |
  len |

void edje::object::part_text_input_panel_imdata_get | ( | ::efl::eina::string_view | part_,
|  | void * | data_,
|  | int * | len_
| ) |  | const

Parameters

  part |
  data |
  len |

void edje::object::part_text_insert | ( | ::efl::eina::string_view | part_,
|  | ::efl::eina::string_view | text_
| ) |  | const

Parameters

  part |
  text |

::evas::object edje::object::part_box_remove_at | ( | ::efl::eina::string_view | part_,
|  | unsigned int | pos_
| ) |  | const

Parameters

  part |
  pos |

void edje::object::part_text_cursor_copy | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | src_,
|  | Edje_Cursor | dst_
| ) |  | const

Parameters

  part |
  src |
  dst |

bool edje::object::parts_extends_calc | ( | Evas_Coord * | x_,
|  | Evas_Coord * | y_,
|  | Evas_Coord * | w_,
|  | Evas_Coord * | h_
| ) |  | const

Parameters

  [out] | x |
  [out] | y |
  [out] | w |
  [out] | h |

bool edje::object::part_drag_value_set | ( | ::efl::eina::string_view | part_,
|  | double | dx_,
|  | double | dy_
| ) |  | const

Parameters

  part |
  dx |
  dy |

bool edje::object::part_drag_value_get | ( | ::efl::eina::string_view | part_,
|  | double * | dx_,
|  | double * | dy_
| ) |  | const

Parameters

  | part |
  [out] | dx |
  [out] | dy |

void edje::object::part_text_cursor_pos_set | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | cur_,
|  | int | pos_
| ) |  | const

Parameters

  part |
  cur |
  pos |

int edje::object::part_text_cursor_pos_get | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | cur_
| ) |  | const

Parameters

  part |
  cur |

char* edje::object::part_text_cursor_content_get | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | cur_
| ) |  | const

Parameters

  part |
  cur |

void edje::object::part_text_input_panel_layout_set | ( | ::efl::eina::string_view | part_,
|  | Edje_Input_Panel_Layout | layout_
| ) |  | const

Parameters

  part |
  layout |

Edje_Input_Panel_Layout edje::object::part_text_input_panel_layout_get | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

bool edje::object::part_table_pack | ( | ::efl::eina::string_view | part_,
|  | ::evas::object | child_obj_,
|  | unsigned short | col_,
|  | unsigned short | row_,
|  | unsigned short | colspan_,
|  | unsigned short | rowspan_
| ) |  | const

Parameters

  part |
  child_obj |
  col |
  row |
  colspan |
  rowspan |

void edje::object::part_text_input_panel_language_set | ( | ::efl::eina::string_view | part_,
|  | Edje_Input_Panel_Lang | lang_
| ) |  | const

Parameters

  part |
  lang |

Edje_Input_Panel_Lang edje::object::part_text_input_panel_language_get | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

bool edje::object::part_table_col_row_size_get | ( | ::efl::eina::string_view | part_,
|  | int * | cols_,
|  | int * | rows_
| ) |  | const

Parameters

  | part |
  [out] | cols |
  [out] | rows |

::evas::object edje::object::part_external_object_get | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

::evas::object edje::object::part_external_content_get | ( | ::efl::eina::string_view | part_,
|  | const char * | content_
| ) |  | const

Parameters

  | part |
  [out] | content |

bool edje::object::preload | ( | bool | cancel_ | ) | const

Parameters

  cancel |

void edje::object::part_text_input_panel_enabled_set | ( | ::efl::eina::string_view | part_,
|  | bool | enabled_
| ) |  | const

Parameters

  part |
  enabled |

bool edje::object::part_text_input_panel_enabled_get | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

void edje::object::part_text_select_extend | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

bool edje::object::part_box_insert_at | ( | ::efl::eina::string_view | part_,
|  | ::evas::object | child_,
|  | unsigned int | pos_
| ) |  | const

Parameters

  part |
  child |
  pos |

::efl::eina::crange_list< const Evas_Textblock_Rectangle * > edje::object::part_text_anchor_geometry_get | ( | ::efl::eina::string_view | part_,
|  | ::efl::eina::string_view | anchor_
| ) |  | const

Parameters

  part |
  anchor |

bool edje::object::part_text_cursor_down | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | cur_
| ) |  | const

Parameters

  part |
  cur |

bool edje::object::part_drag_page_set | ( | ::efl::eina::string_view | part_,
|  | double | dx_,
|  | double | dy_
| ) |  | const

Parameters

  part |
  dx |
  dy |

bool edje::object::part_drag_page_get | ( | ::efl::eina::string_view | part_,
|  | double * | dx_,
|  | double * | dy_
| ) |  | const

Parameters

  | part |
  [out] | dx |
  [out] | dy |

bool edje::object::part_box_prepend | ( | ::efl::eina::string_view | part_,
|  | ::evas::object | child_
| ) |  | const

Parameters

  part |
  child |

void edje::object::signal_emit | ( | ::efl::eina::string_view | emission_,
|  | ::efl::eina::string_view | source_
| ) |  | const

Parameters

  emission |
  source |

void edje::object::part_text_input_panel_layout_variation_set | ( | ::efl::eina::string_view | part_,
|  | int | variation_
| ) |  | const

Parameters

  part |
  variation |

int edje::object::part_text_input_panel_layout_variation_get | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

void edje::object::message_send | ( | Edje_Message_Type | type_,
|  | int | id_,
|  | void * | msg_
| ) |  | const

Parameters

  type |
  id |
  msg |

void edje::object::part_text_select_none | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

::evas::object edje::object::part_object_get | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

bool edje::object::part_drag_size_set | ( | ::efl::eina::string_view | part_,
|  | double | dw_,
|  | double | dh_
| ) |  | const

Parameters

  part |
  dw |
  dh |

bool edje::object::part_drag_size_get | ( | ::efl::eina::string_view | part_,
|  | double * | dw_,
|  | double * | dh_
| ) |  | const

Parameters

  | part |
  [out] | dw |
  [out] | dh |

void* edje::object::text_insert_filter_callback_del | ( | ::efl::eina::string_view | part_,
|  | Edje_Text_Filter_Cb | func_
| ) |  | const

Parameters

  part |
  func |

Edje_Drag_Dir edje::object::part_drag_dir_get | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

bool edje::object::part_text_unescaped_set | ( | ::efl::eina::string_view | part_,
|  | ::efl::eina::string_view | text_to_escape_
| ) |  | const

Parameters

  part |
  text_to_escape |

char* edje::object::part_text_unescaped_get | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

template<typename F_func_ >

void edje::object::signal_callback_add | ( | ::efl::eina::string_view | emission_,
|  | ::efl::eina::string_view | source_,
|  | F_func_ && | func_
| ) |  | const

Parameters

  emission |
  source |
  func |
  data |

void edje::object::part_text_select_all | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

void edje::object::part_text_input_panel_return_key_disabled_set | ( | ::efl::eina::string_view | part_,
|  | bool | disabled_
| ) |  | const

Parameters

  part |
  disabled |

bool edje::object::part_text_input_panel_return_key_disabled_get | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

void edje::object::part_text_autocapital_type_set | ( | ::efl::eina::string_view | part_,
|  | Edje_Text_Autocapital_Type | autocapital_type_
| ) |  | const

Parameters

  part |
  autocapital_type |

Edje_Text_Autocapital_Type edje::object::part_text_autocapital_type_get | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

void edje::object::part_unswallow | ( | ::evas::object | obj_swallow_ | ) | const

Parameters

  obj_swallow |

void edje::object::part_text_prediction_allow_set | ( | ::efl::eina::string_view | part_,
|  | bool | prediction_
| ) |  | const

Parameters

  part |
  prediction |

bool edje::object::part_text_prediction_allow_get | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

::efl::eina::string_view edje::object::data_get | ( | ::efl::eina::string_view | key_ | ) | const

Parameters

  key |

void edje::object::text_markup_filter_callback_add | ( | ::efl::eina::string_view | part_,
|  | Edje_Markup_Filter_Cb | func_,
|  | void * | data_
| ) |  | const

Parameters

  part |
  func |
  data |

::evas::object edje::object::part_box_remove | ( | ::efl::eina::string_view | part_,
|  | ::evas::object | child_
| ) |  | const

Parameters

  part |
  child |

::evas::object edje::object::part_swallow_get | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

void edje::object::part_text_imf_context_reset | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

void edje::object::part_text_input_panel_return_key_type_set | ( | ::efl::eina::string_view | part_,
|  | Edje_Input_Panel_Return_Key_Type | return_key_type_
| ) |  | const

Parameters

  part |
  return_key_type |

Edje_Input_Panel_Return_Key_Type edje::object::part_text_input_panel_return_key_type_get | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

::evas::object edje::object::part_table_child_get | ( | ::efl::eina::string_view | part_,
|  | unsigned int | col_,
|  | unsigned int | row_
| ) |  | const

Parameters

  part |
  col |
  row |

bool edje::object::part_box_insert_before | ( | ::efl::eina::string_view | part_,
|  | ::evas::object | child_,
|  | ::evas::object | reference_
| ) |  | const

Parameters

  part |
  child |
  reference |

bool edje::object::part_external_param_set | ( | ::efl::eina::string_view | part_,
|  | const Edje_External_Param * | param_
| ) |  | const

Parameters

  part |
  param |

bool edje::object::part_external_param_get | ( | ::efl::eina::string_view | part_,
|  | Edje_External_Param * | param_
| ) |  | const

Parameters

  | part |
  [out] | param |

void edje::object::size_min_calc | ( | Evas_Coord * | minw_,
|  | Evas_Coord * | minh_
| ) |  | const

Parameters

  [out] | minw |
  [out] | minh |

bool edje::object::part_box_append | ( | ::efl::eina::string_view | part_,
|  | ::evas::object | child_
| ) |  | const

Parameters

  part |
  child |

void edje::object::size_min_restricted_calc | ( | Evas_Coord * | minw_,
|  | Evas_Coord * | minh_,
|  | Evas_Coord | restrictedw_,
|  | Evas_Coord | restrictedh_
| ) |  | const

Parameters

  [out] | minw |
  [out] | minh |
  | restrictedw |
  | restrictedh |

bool edje::object::part_box_remove_all | ( | ::efl::eina::string_view | part_,
|  | bool | clear_
| ) |  | const

Parameters

  part |
  clear |

bool edje::object::part_drag_page | ( | ::efl::eina::string_view | part_,
|  | double | dx_,
|  | double | dy_
| ) |  | const

Parameters

  part |
  dx |
  dy |

bool edje::object::part_text_set | ( | ::efl::eina::string_view | part_,
|  | ::efl::eina::string_view | text_
| ) |  | const

Parameters

  part |
  text |

::efl::eina::string_view edje::object::part_text_get | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

void edje::object::part_text_input_panel_show_on_demand_set | ( | ::efl::eina::string_view | part_,
|  | bool | ondemand_
| ) |  | const

Parameters

  part |
  ondemand |

bool edje::object::part_text_input_panel_show_on_demand_get | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

void edje::object::part_text_input_hint_set | ( | ::efl::eina::string_view | part_,
|  | Edje_Input_Hints | input_hints_
| ) |  | const

Parameters

  part |
  input_hints |

Edje_Input_Hints edje::object::part_text_input_hint_get | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

::efl::eina::string_view edje::object::part_text_selection_get | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

bool edje::object::part_text_cursor_is_format_get | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | cur_
| ) |  | const

Parameters

  part |
  cur |

bool edje::object::text_class_get | ( | ::efl::eina::string_view | text_class_,
|  | const char ** | font_,
|  | Evas_Font_Size * | size_
| ) |  | const

Parameters

  | text_class |
  [out] | font |
  [out] | size |

void edje::object::text_class_del | ( | ::efl::eina::string_view | text_class_ | ) | const

Parameters

  text_class |

bool edje::object::color_class_set | ( | ::efl::eina::string_view | color_class_,
|  | int | r_,
|  | int | g_,
|  | int | b_,
|  | int | a_,
|  | int | r2_,
|  | int | g2_,
|  | int | b2_,
|  | int | a2_,
|  | int | r3_,
|  | int | g3_,
|  | int | b3_,
|  | int | a3_
| ) |  | const

Parameters

  color_class |
  r |
  g |
  b |
  a |
  r2 |
  g2 |
  b2 |
  a2 |
  r3 |
  g3 |
  b3 |
  a3 |

bool edje::object::color_class_get | ( | ::efl::eina::string_view | color_class_,
|  | int * | r_,
|  | int * | g_,
|  | int * | b_,
|  | int * | a_,
|  | int * | r2_,
|  | int * | g2_,
|  | int * | b2_,
|  | int * | a2_,
|  | int * | r3_,
|  | int * | g3_,
|  | int * | b3_,
|  | int * | a3_
| ) |  | const

Parameters

  | color_class |
  [out] | r |
  [out] | g |
  [out] | b |
  [out] | a |
  [out] | r2 |
  [out] | g2 |
  [out] | b2 |
  [out] | a2 |
  [out] | r3 |
  [out] | g3 |
  [out] | b3 |
  [out] | a3 |

::efl::eina::string_view edje::object::color_class_description_get | ( | ::efl::eina::string_view | color_class_ | ) | const

Parameters

  color_class |

void edje::object::color_class_del | ( | ::efl::eina::string_view | color_class_ | ) | const

Parameters

  color_class |

bool edje::object::size_class_set | ( | ::efl::eina::string_view | size_class_,
|  | int | minw_,
|  | int | minh_,
|  | int | maxw_,
|  | int | maxh_
| ) |  | const

Parameters

  size_class |
  minw |
  minh |
  maxw |
  maxh |

bool edje::object::size_class_get | ( | ::efl::eina::string_view | size_class_,
|  | int * | minw_,
|  | int * | minh_,
|  | int * | maxw_,
|  | int * | maxh_
| ) |  | const

Parameters

  | size_class |
  [out] | minw |
  [out] | minh |
  [out] | maxw |
  [out] | maxh |

void edje::object::size_class_del | ( | ::efl::eina::string_view | size_class_ | ) | const

Parameters

  size_class |

bool edje::object::part_drag_step | ( | ::efl::eina::string_view | part_,
|  | double | dx_,
|  | double | dy_
| ) |  | const

Parameters

  part |
  dx |
  dy |

bool edje::object::part_text_cursor_up | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | cur_
| ) |  | const

Parameters

  part |
  cur |

void edje::object::part_text_cursor_geometry_get | ( | ::efl::eina::string_view | part_,
|  | Evas_Coord * | x_,
|  | Evas_Coord * | y_,
|  | Evas_Coord * | w_,
|  | Evas_Coord * | h_
| ) |  | const

Parameters

  | part |
  [out] | x |
  [out] | y |
  [out] | w |
  [out] | h |

::efl::eina::crange_list< ::efl::eina::string_view > edje::object::part_text_anchor_list_get | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

void edje::object::text_insert_filter_callback_add | ( | ::efl::eina::string_view | part_,
|  | Edje_Text_Filter_Cb | func_,
|  | void * | data_
| ) |  | const

Parameters

  part |
  func |
  data |

void edje::object::part_text_input_panel_show | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

bool edje::object::part_exists | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

void* edje::object::text_markup_filter_callback_del | ( | ::efl::eina::string_view | part_,
|  | Edje_Markup_Filter_Cb | func_
| ) |  | const

Parameters

  part |
  func |

bool edje::object::part_text_cursor_is_visible_format_get | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | cur_
| ) |  | const

Parameters

  part |
  cur |

void edje::object::part_text_user_insert | ( | ::efl::eina::string_view | part_,
|  | ::efl::eina::string_view | text_
| ) |  | const

Parameters

  part |
  text |

bool edje::object::part_text_cursor_prev | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | cur_
| ) |  | const

Parameters

  part |
  cur |

::efl::eina::crange_list< ::efl::eina::string_view > edje::object::part_text_item_list_get | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

bool edje::object::part_swallow | ( | ::efl::eina::string_view | part_,
|  | ::evas::object | obj_swallow_
| ) |  | const

Parameters

  part |
  obj_swallow |